Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Problema IUSE [risolto]
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
198728
l33t
l33t


Joined: 08 Apr 2009
Posts: 693

PostPosted: Fri Nov 20, 2009 10:48 pm    Post subject: Problema IUSE [risolto] Reply with quote

Come da titolo cercando di aggiornare il sistema ottengo un messaggio di errore relativo alla mancanza di 2 IUSE (asf mp4)
Leggo la guida degli ebuild (ho installato dottout) e mi parla di IUSE mancanti, ma nient'altro...
Come lo risolvo?
Il messaggio è
Code:

These are the packages that would be merged, in order:

Calculating dependencies... done!

emerge: there are no ebuilds built with USE flags to satisfy ">=media-libs/taglib-1.6[asf,mp4]".
!!! One of the following packages is required to complete your request:
- media-libs/taglib-1.6 (Missing IUSE: mp4 asf)
(dependency required by "media-sound/amarok-2.2.1-r1" [ebuild])
(dependency required by "world" [argument])


Last edited by 198728 on Sat Nov 21, 2009 7:26 pm; edited 1 time in total
Back to top
View user's profile Send private message
Ic3M4n
Advocate
Advocate


Joined: 02 Nov 2004
Posts: 3489
Location: Bergamo.

PostPosted: Fri Nov 20, 2009 11:14 pm    Post subject: Reply with quote

Code:
echo "media-libs/taglib mp4 asf" >> /etc/portage/package.use

o se hai già una entry di taglib in suddetto file aggiungi mp4 ed asf alla riga corrispondente ;)

se preferisci puoi aggiungere le use anche in make.conf, solo che in tal modo verranno abilitate per tutti i pacchetti che le hanno.
Back to top
View user's profile Send private message
198728
l33t
l33t


Joined: 08 Apr 2009
Posts: 693

PostPosted: Sat Nov 21, 2009 2:47 pm    Post subject: Reply with quote

Fosse così semplice...non funziona, l'avevo già provato.
Back to top
View user's profile Send private message
Scen
Retired Dev
Retired Dev


Joined: 29 Jul 2003
Posts: 2470
Location: Padova, Italy

PostPosted: Sat Nov 21, 2009 2:58 pm    Post subject: Reply with quote

C'è una piccola discrepanza tra l'ebuild di amarok-1.2.1 e quello di taglib-1.6:
media-sound/amarok-1.2.1-r1 richiede
Code:

>=media-libs/taglib-1.6[asf,mp4]

la versione stabile più recente di taglib è appunto la 1.6, però non contiene le USE "asf" e "mp4" :?

La soluzione è smascherare la versione instabile 1.6.1 di taglib (che le contiene)
Code:

/usr/portage/media-libs/taglib $ diff -u taglib-1.6.ebuild taglib-1.6.1.ebuild
--- taglib-1.6.ebuild   2009-11-11 19:35:51.000000000 +0100                                       
+++ taglib-1.6.1.ebuild 2009-11-05 11:50:19.000000000 +0100                                       
@@ -1,6 +1,6 @@                                                                                   
 # Copyright 1999-2009 Gentoo Foundation                                                         
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/taglib/taglib-1.6.ebuild,v 1.6 2009/11/11 18:35:13 jer Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-libs/taglib/taglib-1.6.1.ebuild,v 1.1 2009/11/05 10:50:19 jmbsvicetto Exp $

 EAPI=2
 inherit base
@@ -10,9 +10,9 @@
 SRC_URI="http://developer.kde.org/~wheeler/files/src/${P}.tar.gz"

 LICENSE="GPL-2"
-KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ~ppc64 sh sparc x86 ~x86-fbsd"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd"
 SLOT="0"
-IUSE="debug examples static-libs test"
+IUSE="+asf debug examples +mp4 static-libs test"

 DEPEND="
        dev-util/pkgconfig
@@ -22,9 +22,9 @@

 src_configure() {
        econf \
-               --enable-asf \
-               --enable-mp4 \
+               $(use_enable asf) \
                $(use_enable debug) \
+               $(use_enable mp4) \
                $(use_enable static-libs static)
 }

@@ -46,3 +46,14 @@
                cd examples && emake DESTDIR="${D}" install || die "emake examples install failed"
        fi
 }
+
+pkg_postinst() {
+       if ! use asf; then
+               elog "You've chosen to disable the asf use flag, thus taglib won't include"
+               elog "support for Microsoft's 'advanced systems format' media container"
+       fi
+       if ! use mp4; then
+               elog "You've chosen to disable the mp4 use flag, thus taglib won't include"
+               elog "support for the MPEG-4 part 14 / MP4 media container"
+       fi
+}

_________________
I was born in a deep forest/I wish I could live here all my life/I am made from stones and roots/My home, these woods and roads
All my life I loved this sound/Of the woods all around/Eagles flies where the winds blows free
Journey is my destiny
Back to top
View user's profile Send private message
198728
l33t
l33t


Joined: 08 Apr 2009
Posts: 693

PostPosted: Sat Nov 21, 2009 6:51 pm    Post subject: Reply with quote

Lo faccio immediatamente...grazie Scen.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum